Subject: Re: Analyzing a corrupted index file

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Jan 2024 09:16:43 -0800

Nathan Manceaux-Panot <[email-masked]> writes:

>> On Jan 8, 2024, at 20:51, Junio C Hamano <[email-masked]> wrote:
>> 
>> "git ls-files" with its various options is probably the closest, but
>> even the command is not meant for "debugging the bits"
>
> Thanks for the pointer. In the meantime I've started to make sense
> of the binary representation, against all odds, so there's hope
> for me there!

Documentation/gitformat-index.txt may be a good place to start, of
course.

https://github.com/git/htmldocs/blob/gh-pages/gitformat-index.txt